Last Comment Bug 757747 - need enhanced profile data from provider
: need enhanced profile data from provider
Status: RESOLVED FIXED
[Fx16]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: x86_64 Windows Vista
: -- normal (vote)
: ---
Assigned To: Michael Hanson
:
:
Mentors:
Depends on:
Blocks: 763837 765874
  Show dependency treegraph
 
Reported: 2012-05-22 23:29 PDT by Mark Hammond [:markh]
Modified: 2012-07-03 16:16 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mark Hammond [:markh] 2012-05-22 23:29:00 PDT
Providers can indicate content to be shown when one of the notification area icons is clicked - but not when the profile portrait is clicked.

Simplest would be to allow a new field - eg, 'portraitClickUrl' to the social.ambient-notification-area message (which already includes the URL of the portrait itself).  One downside of this though is that the provider doesn't get flexibility about how to show that URL - eg, they may want it shown in a popup panel like the other buttons (and conversely, some providers may not want the other buttons to be shown in a popup panel but instead in a new tab).  IOW, there may be a case for unifying all the URLs in the ambient area to be both consistent and flexible.

Assigning to Mike in the first instance to make a decision on the API.
Comment 1 Shane Caraveo (:mixedpuppy) 2012-06-27 17:19:09 PDT
this is related to the design in bug 763837.  I've pushed profile capability on the xulmenu branch, https://github.com/mozilla/socialapi-dev/commit/33d969b2cc9164b6773ffcbe1696299516f41bb6

As well, motown is sending the data to support this.  For ms1 at least, we can just open the profileURL in a tab.
Comment 2 Shane Caraveo (:mixedpuppy) 2012-06-27 17:36:11 PDT
for bug 765874 we'll need a larger profile image, and make sure displayName and userName are part of the profile request.
Comment 3 Shane Caraveo (:mixedpuppy) 2012-06-29 12:12:54 PDT
docs updated to reflect new profile data and status icon use.

https://github.com/mozilla/socialapi-dev/blob/xulmenu/docs/socialAPI.md

Note You need to log in before you can comment on or make changes to this bug.